Bug 869262 - pcp-testsuite - test-case 126 needs to distinguish RHEL5
pcp-testsuite - test-case 126 needs to distinguish RHEL5
Status: CLOSED CANTFIX
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: pcp (Show other bugs)
DTS 1.1 RHEL 5
All Linux
unspecified Severity unspecified
: ---
: 1.1
Assigned To: Nathan Scott
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 08:30 EDT by Tomas Dohnalek
Modified: 2013-02-15 02:30 EST (History)
6 users (show)

See Also:
Fixed In Version: devtoolset-1.1-pcp-3.6.9-2.el[56]
Doc Type: Bug Fix
Doc Text:
Previous versions of the pcpqa testsuite assumed a different version of some files in the kernel /proc filesystem. They have been updated.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 10:35:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (437 bytes, patch)
2012-10-23 08:30 EDT, Tomas Dohnalek
no flags Details | Diff

  None (edit)
Description Tomas Dohnalek 2012-10-23 08:30:18 EDT
Created attachment 632065 [details]
Proposed fix

Description of problem:
When running test-case 126, this error occurs. Used reference output is 126.out.1. If I make diff between 126.out.bad and 126.out.2, all seems ok. 126.out.2 is output for CentOS release 5.6. I believe, that same file for RHEL5 and CentOS 5 should be used.

Version-Release number of selected component (if applicable):
3.6.9-1.el5

How reproducible:
Always


Steps to Reproduce:
1. Install devtoolset-1.1 (yum install devtoolset-1.1)
2. Enable devtoolset-1.1. (scl enable devtoolset-1.1 bash)
3. Run test-case 126 (cd /opt/rh/devtoolset-1.1/root/var/lib/pcp/testsuite; ./check 126)
  
Actual results:
relevant diff
< Udp: InDatagrams NoPorts InErrors OutDatagrams RcvbufErrors SndbufErrors
< UdpLite: InDatagrams NoPorts InErrors OutDatagrams RcvbufErrors SndbufErrors
---
> Udp: InDatagrams NoPorts InErrors OutDatagrams

Expected results:
Not fail.


Additional info:
Tested on: Red Hat Enterprise Linux Server release 5.8 (Tikanga)
Comment 2 Nathan Scott 2012-10-23 18:58:50 EDT
Thanks Tomas, merged upstream.

Note You need to log in before you can comment on or make changes to this bug.